Cancel an enrollment

Path Params
string
required
Response

status: PENDING while the bank processes the request. The final CANCELLED status is confirmed via webhook notification to the notification_url.

Webhook notifications

dLocal sends an asynchronous notification to the notification_url once the cancellation is confirmed. There are two scenarios:

Cancelled — merchant-initiated (confirmed by bank)

{
  "id": "E-4-32e1218f-b6ec-3f21-13d5-50v12ere2ca3",
  "external_id": "31231jj223",
  "currency": "BRL",
  "country": "BR",
  "type": "MERCHANT_SUBSCRIPTION",
  "payment_method_id": "XA",
  "payment_method_flow": "DIRECT",
  "payment_method_type": "TICKET",
  "created_date": "2024-07-26T20:37:20.000+0000",
  "approved_date": "2024-07-26T20:39:24.000+0000",
  "status": "CANCELLED",
  "status_detail": "The enrollment is cancelled.",
  "status_code": "400",
  "notification_url": "http://merchantsite.com/notifications"
}

Cancelled — user-initiated (cancelled directly through home banking)

{
  "id": "E-4-32e1218f-b6ec-3f21-13d5-50v12ere2ca3",
  "external_id": "31231jj223",
  "currency": "BRL",
  "country": "BR",
  "type": "MERCHANT_SUBSCRIPTION",
  "payment_method_id": "XA",
  "payment_method_flow": "DIRECT",
  "payment_method_type": "TICKET",
  "created_date": "2024-07-26T20:37:20.000+0000",
  "approved_date": "2024-07-26T20:39:24.000+0000",
  "status": "CANCELLED",
  "status_detail": "Enrollment cancelled by user",
  "status_code": "401",
  "notification_url": "http://merchantsite.com/notifications"
}
Language
Credentials
LoadingLoading…
Response
Choose an example:
application/json